Subject: bug#43579: g++ does not provide std::fegetround

From: [email-masked]
Date: Mon, 27 Jan 2025 09:11:30 -0500

For those who faces this issue and ends up here. The solution that
worked for me was to do this before running make:

```
$ export CPLUS_INCLUDE_PATH=/home/user/.guix-profile/include/
```

It somehow removes the toxic headers from the reach of the toolchain. I
guess it dependes what you have installed in your profile but probably,
it is more likely that the headrs aree purely coming from g++ toolchain
rather than weird stuff from Guix OS in the default inculde path.